Debian Bug report logs - #537039
nemerle: FTBFS: assertion error during compilation

Package: mono; Maintainer for mono is Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 14 Jul 2009 14:12:42 UTC

Severity: important

Tags: fixed-upstream, jessie, sid, squeeze, wheezy

Forwarded to https://bugzilla.novell.com/show_bug.cgi?id=467834, merged-upstream: https://bugzilla.novell.com/show_bug.cgi?id=555464

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>:
Bug#536942; Package nemerle. (Tue, 14 Jul 2009 14:12:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>. (Tue, 14 Jul 2009 14:12:45 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: nemerle: FTBFS: assertion error during compilation
Date: Tue, 14 Jul 2009 09:07:45 -0400
Package: nemerle
Version: 0.9.3+dfsg-3
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090713 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[4]: Entering directory `/build/user-nemerle_0.9.3+dfsg-3-amd64-BAPFwn/nemerle-0.9.3+dfsg/ncc'
> COMPILE [stage1] Nemerle.dll
> **
> ERROR:reflection.c:2587:get_field_on_inst_generic_type: assertion failed: (field_index >= 0 && field_index < dgclass->count_fields)
> Stacktrace:
> 
>   at (wrapper managed-to-native) System.MonoType.GetField (string,System.Reflection.BindingFlags) <0x0004b>
>   at (wrapper managed-to-native) System.MonoType.GetField (string,System.Reflection.BindingFlags) <0xffffffff>
>   at System.MonoType.GetField (System.Reflection.FieldInfo) <0x00082>
>   at System.Reflection.Emit.TypeBuilder.GetField (System.Type,System.Reflection.FieldInfo) <0x00018>
>   at Nemerle.Compiler.ILEmitter.FrameworkGetField (System.Type,System.Reflection.FieldInfo) <0x0010f>
>   at Nemerle.Compiler.ILEmitter.GetFieldInfo (System.Type,Nemerle.Compiler.IField) <0x00043>
>   at Nemerle.Compiler.ILEmitter.emit (Nemerle.Compiler.Typedtree.TExpr) <0x0397f>
>   at Nemerle.Compiler.ILEmitter.emit (Nemerle.Compiler.Typedtree.TExpr) <0x026cf>
>   at Nemerle.Compiler.ILEmitter.emit (Nemerle.Compiler.Typedtree.TExpr) <0x00e57>
>   at Nemerle.Compiler.ILEmitter.emit (Nemerle.Compiler.Typedtree.TExpr) <0x00f9f>
>   at Nemerle.Compiler.ILEmitter.emit (Nemerle.Compiler.Typedtree.TExpr) <0x00f9f>
>   at Nemerle.Compiler.ILEmitter.emit (Nemerle.Compiler.Typedtree.TExpr) <0x01cc7>
>   at Nemerle.Compiler.ILEmitter.Run () <0x000d3>
>   at Nemerle.Compiler.MethodBuilder/_N__N_l29266_29398.apply_void () <0x0028f>
>   at Nemerle.Compiler.TypeBuilder.FinalizeType () <0x000cb>
>   at Nemerle.Compiler.TypeBuilder.EmitImplementation () <0x00233>
>   at Nemerle.Compiler.TypesManager/_N_emit_impl_24276.apply_void (Nemerle.Compiler.TypeBuilder) <0x00047>
>   at Nemerle.Compiler.TypesManager/_N_maybe_f_24712.apply_void (Nemerle.Compiler.TypeBuilder) <0x00133>
>   at Nemerle.Collections.List.Iter<object> (Nemerle.Core.list`1<object>,Nemerle.Builtins.FunctionVoid`1<object>) <0x000bc>
>   at Nemerle.Core.list`1<object>.Iter (Nemerle.Builtins.FunctionVoid`1<object>) <0x00033>
>   at Nemerle.Compiler.TypesManager.Iter (Nemerle.Core.list`1<Nemerle.Compiler.TypeBuilder>,Nemerle.Builtins.FunctionVoid`1<Nemerle.Compiler.TypeBuilder>) <0x000e3>
>   at Nemerle.Compiler.TypesManager.Iter (Nemerle.Builtins.FunctionVoid`1<Nemerle.Compiler.TypeBuilder>) <0x0002f>
>   at Nemerle.Compiler.TypesManager.compile_all_tyinfos (bool) <0x00243>
>   at Nemerle.Compiler.TypesManager/_N__N_l23853_23944.apply_void () <0x00031>
>   at Nemerle.Compiler.Solver.Enqueue (Nemerle.Builtins.FunctionVoid) <0x0004d>
>   at Nemerle.Compiler.TypesManager.EmitDecls () <0x0008f>
>   at Nemerle.Compiler.Passes.Run () <0x00223>
>   at Nemerle.CommandlineCompiler.MainClass.main_with_catching () <0x000ff>
>   at Nemerle.CommandlineCompiler.MainClass.Main () <0x00103>
>   at (wrapper runtime-invoke) object.runtime_invoke_void (object,intptr,intptr,intptr) <0xffffffff>
> 
> Native stacktrace:
> 
> 	mono [0x47d990]
> 	/lib/libpthread.so.0 [0x2af4a5fd0700]
> 	/lib/libc.so.6(gsignal+0x35) [0x2af4a6492d05]
> 	/lib/libc.so.6(abort+0x181) [0x2af4a6495dc1]
> 	/usr/lib/libglib-2.0.so.0(g_assertion_message+0x100) [0x2af4a59510d0]
> 	/usr/lib/libglib-2.0.so.0 [0x2af4a5951652]
> 	mono [0x4e479c]
> 	mono(mono_field_get_object+0x12c) [0x4f0dcc]
> 	mono [0x515b64]
> 	[0x41b1c76b]
> 
> Debug info from gdb:
> 
> 
> =================================================================
> Got a SIGABRT while executing native code. This usually indicates
> a fatal error in the mono runtime or one of the native libraries 
> used by your application.
> =================================================================
> 
> make[4]: *** [out.stage1/Nemerle.stage1.dll] Aborted
> **
> ERROR:shared.c:492:shm_semaphores_remove: assertion failed: (proc_count > 0)
> make[3]: *** [aux-stage] Error 2

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/07/13/nemerle_0.9.3+dfsg-3_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>:
Bug#536942; Package nemerle. (Tue, 14 Jul 2009 14:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>. (Tue, 14 Jul 2009 14:54:15 GMT) Full text and rfc822 format available.

Message #10 received at 536942@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 536942@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [pkg-cli-libs-team] Bug#536942: nemerle: FTBFS: assertion error during compilation
Date: Tue, 14 Jul 2009 15:51:20 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

clone 536942 -1
block 536942 by -1
reassign -1 mono
forwarded -1 https://bugzilla.novell.com/show_bug.cgi?id=467834
thanks

Hi,

On 14 Jul 2009, at 14:07, Lucas Nussbaum wrote:

> Package: nemerle
> Version: 0.9.3+dfsg-3
> Severity: serious
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20090713 qa-ftbfs
> Justification: FTBFS on amd64
>
> Hi,
>
> During a rebuild of all packages in sid, your package failed to  
> build on
> amd64.
>
> Relevant part:
>> make[4]: Entering directory `/build/user-nemerle_0.9.3+dfsg-3-amd64- 
>> BAPFwn/nemerle-0.9.3+dfsg/ncc'
>> COMPILE [stage1] Nemerle.dll
>> **
>> ERROR:reflection.c:2587:get_field_on_inst_generic_type: assertion  
>> failed: (field_index >= 0 && field_index < dgclass->count_fields)

Thanks. This is a bug in the runtime that was apparently introduced  
sometime between 2.0 and 2.2 according to the upstream bug.

Regards,
Iain
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (Darwin)

iEYEARECAAYFAkpcm2gACgkQPy0SnCC/zcc0XwCgmxY37MoUuHJXQr93C3lgefFv
39EAoJI71gvz8KYWiUBK/JINuBjEN0En
=rRdv
-----END PGP SIGNATURE-----

This message has been checked for viruses but the contents of an attachment
may still contain software viruses, which could damage your computer system:
you are advised to perform your own checks. Email communications with the
University of Nottingham may be monitored as permitted by UK legislation.





Bug 536942 cloned as bug 537039. Request was from Iain Lane <laney@ubuntu.com> to control@bugs.debian.org. (Tue, 14 Jul 2009 14:54:15 GMT) Full text and rfc822 format available.

Blocking bugs of 536942 added: 537039 Request was from Iain Lane <laney@ubuntu.com> to control@bugs.debian.org. (Tue, 14 Jul 2009 14:54:18 GMT) Full text and rfc822 format available.

Bug reassigned from package `nemerle' to `mono'. Request was from Iain Lane <laney@ubuntu.com> to control@bugs.debian.org. (Tue, 14 Jul 2009 14:54:19 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://bugzilla.novell.com/show_bug.cgi?id=467834. Request was from Iain Lane <laney@ubuntu.com> to control@bugs.debian.org. (Tue, 14 Jul 2009 14:54:20 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Sat, 23 Jan 2010 15:55:54 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugzilla.novell.com/show_bug.cgi?id=467834, merged-upstream: https://bugzilla.novell.com/show_bug.cgi?id=555464' from 'https://bugzilla.novell.com/show_bug.cgi?id=467834' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 01 Apr 2010 17:13:23 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 08 Jul 2010 16:36:33 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Mirco Bauer <meebey@debian.org> to control@bugs.debian.org. (Sat, 07 Aug 2010 02:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#537039; Package mono. (Sat, 07 Aug 2010 02:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mirco Bauer <meebey@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. (Sat, 07 Aug 2010 02:51:06 GMT) Full text and rfc822 format available.

Message #31 received at 537039@bugs.debian.org (full text, mbox):

From: Mirco Bauer <meebey@debian.org>
To: 537039@bugs.debian.org, 536942@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: nemerle: FTBFS: assertion error during compilation
Date: Sat, 7 Aug 2010 04:20:22 +0200
severity 537039 important
thanks

I am downgrading the cloned report for Mono as it doesn't make Mono
unsuitable for a release (that is only the case for the affected
nemerle). Unfortunately upstream said the bugfix of this would be too
complex and intrusive for a backport. This means nemerle can't be
shipped in squeeze with Mono >= 2.0, see:
https://bugzilla.novell.com/show_bug.cgi?id=555464#c23

-- 
Regards,

Mirco 'meebey' Bauer

PGP-Key ID: 0xEEF946C8

FOSS Developer    meebey@meebey.net  http://www.meebey.net/
PEAR Developer    meebey@php.net     http://pear.php.net/
Debian Developer  meebey@debian.org  http://www.debian.org/




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:26 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:40:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:32:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.